FlxpointAPI Help CenterBeta

Get Mapping Sets

gethttps://api.flxpoint.com/mapping-sets

Use this when you want to pull mappingset data through the API.

🔑 X-API-TOKEN⏱ 2 req/sToken: Account · Source · Channel

This page explains the endpoint. To send a live test request, use the interactive tester in Stoplight or your own Postman / HTTP client.

Get a List of Mapping Sets. It will retrieve a maximum of 100 mapping sets with each request

Request

Query parameters
  • pagequeryinteger (int32)

Example request

get/mapping-sets
curl -X GET "https://api.flxpoint.com/mapping-sets" \
  -H "Accept: application/json" \
  -H "X-API-TOKEN: YOUR_TOKEN"

Responses

200OKapplication/json
array[MappingSet]
idinteger
accountIdinteger
createdByUserIdinteger
createdAtstring
namestringrequired
descriptionstring
totalItemsinteger
exclusionListForSourceIdinteger
exclusionTypestring
Required when 'exclusionListForSourceId' is provided. Specifies the type of exclusion being applied. Use 'sku', 'brand', or 'category'.
allowedskubrandcategory
Example response
[
  {
    "id": 0,
    "accountId": 0,
    "createdByUserId": 0,
    "createdAt": "string",
    "name": "string",
    "description": "string",
    "totalItems": 0,
    "exclusionListForSourceId": 0,
    "exclusionType": "sku"
  }
]
401Unauthorized

No schema documented for this status.

OpenAPI fragment
{
  "get": {
    "summary": "Get Mapping Sets",
    "description": "Get a List of Mapping Sets. It will retrieve a maximum of 100 mapping sets with each request",
    "parameters": [
      {
        "schema": {
          "type": "integer",
          "format": "int32",
          "default": 1
        },
        "in": "query",
        "name": "page"
      }
    ],
    "responses": {
      "200": {
        "description": "OK",
        "content": {
          "application/json": {
            "schema": {
              "type": "array",
              "items": {
                "$ref": "#/components/schemas/MappingSet"
              }
            }
          }
        }
      },
      "401": {
        "description": "Unauthorized"
      }
    }
  }
}
Ready to run it? Send the curl from your terminal or Postman, or use the interactive tester in Stoplight.Open in Stoplight